import os
from io import StringIO

import pandas as pd
from tqdm import tqdm

from features_extraction.config.config import config


class MalwareDataset:
    def __init__(self):
        X_train = pd.read_csv(
            os.path.join(config.splitted_dataset_path, "X_train.csv"), header=0
        )
        y_train = pd.read_csv(
            os.path.join(config.splitted_dataset_path, "y_train.csv"), header=0
        )
        self.training_dataset = pd.merge(X_train, y_train, on="sha256", how="inner")

        X_test = pd.read_csv(
            os.path.join(config.splitted_dataset_path, "X_test.csv"), header=0
        )
        y_test = pd.read_csv(
            os.path.join(config.splitted_dataset_path, "y_test.csv"), header=0
        )
        self.testing_dataset = pd.merge(X_test, y_test, on="sha256", how="inner")

        self.df_malware_family_fsd = pd.merge(
            pd.concat([X_train, X_test]),
            pd.concat([y_train, y_test]),
            on="sha256",
            how="inner",
        )
